classification
Title: Support xz compression in mimetypes module
Type: enhancement Stage: commit review
Components: Library (Lib) Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, eric.araujo, nadeem.vawda, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-10-24 21:40 by serhiy.storchaka, last changed 2013-05-06 14:36 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
mimetypes-lzma.patch serhiy.storchaka, 2012-10-24 21:40 review
issue16316_27.diff berker.peksag, 2013-04-24 15:35
Messages (10)
msg173712 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-24 21:40
The proposed patch adds xz compression support in additional to gzip, compress and bzip2 in mimetypes module.
msg173986 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-27 23:27
LGTM.
msg174049 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-28 13:53
New changeset a3ba5fe9bfd3 by Nadeem Vawda in branch 'default':
Issue #16316: mimetypes now recognizes the .xz and .txz (.tar.xz) extensions.
http://hg.python.org/cpython/rev/a3ba5fe9bfd3
msg187373 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-04-19 16:34
Small changes in registries (mimetypes, html.entities, sometimes webbrowser) are acceptable in stable branches.  Can you backport this?
msg187861 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-26 14:57
Xz-related mimetypes was added because Python 3.3+ supports xz compression. Backporting them to 3.3 makes sense. But backporting to 2.7 is more questionable.
msg187869 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-04-26 19:12
In my opinion supporting xz in the standard library is totally separate from keeping the mime types registry up to date.
msg187870 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-04-26 19:26
I agree with Éric.
msg188356 - (view) Author: Roundup Robot (python-dev) Date: 2013-05-04 12:16
New changeset 26068bfec70e by Serhiy Storchaka in branch '2.7':
Issue #16316: mimetypes now recognizes the .xz and .txz (.tar.xz) extensions.
http://hg.python.org/cpython/rev/26068bfec70e

New changeset d04259af01ff by Serhiy Storchaka in branch '3.3':
Issue #16316: mimetypes now recognizes the .xz and .txz (.tar.xz) extensions.
http://hg.python.org/cpython/rev/d04259af01ff
msg188357 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-05-04 12:20
Have backported.
msg188545 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-05-06 14:36
Thanks!
History
Date User Action Args
2013-05-06 14:36:56eric.araujosetmessages: + msg188545
2013-05-04 12:20:21serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg188357

versions: - Python 3.2
2013-05-04 12:16:53python-devsetmessages: + msg188356
2013-04-26 19:26:45r.david.murraysetmessages: + msg187870
2013-04-26 19:12:53eric.araujosetmessages: + msg187869
2013-04-26 14:57:22serhiy.storchakasetmessages: + msg187861
2013-04-24 15:35:15berker.peksagsetfiles: + issue16316_27.diff
nosy: + berker.peksag
resolution: fixed -> (no value)
2013-04-19 16:34:32eric.araujosetstatus: closed -> open

messages: + msg187373
stage: resolved -> commit review
2013-04-19 16:33:23eric.araujolinkissue17796 superseder
2012-10-28 13:53:37nadeem.vawdasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2012-10-28 13:53:04python-devsetnosy: + python-dev
messages: + msg174049
2012-10-27 23:27:59eric.araujosetnosy: + r.david.murray, eric.araujo

messages: + msg173986
versions: + Python 2.7, Python 3.2, Python 3.3
2012-10-24 21:40:45serhiy.storchakacreate